#include <biwak/handler.h>

#define FREEZE_HANDLER(handler) \
    void handler(void) \
    { while(1) asm("nop;\n"); }

#define DEFAULT_HANDLER(handler, type, line, interrupt) \
    void handler(void) \
    { \
        if (type ## _GetITStatus(line) != RESET) \
        { \
            callInterrupt(interrupt); \
            type ## _ClearITPendingBit(line); \
        } \
    }

#define DEFAULT_HANDLER_PBLOCK(handler, type, pblock, line, interrupt) \
    void handler(void) \
    { \
        if (type ## _GetITStatus(pblock, line) != RESET) \
        { \
            callInterrupt(interrupt); \
            type ## _ClearITPendingBit(pblock, line); \
        } \
    }


volatile int systemTicker=0x0;
CInterrupt *isrObject[ eInterruptMax ];
int isrData[eInterruptMax];
interruptHandler_t isrStaticFunc[eInterruptMax];


//---fin----------------------------------------------------------------------
